=== debian/changelog ===
combine (4.005) lucid; urgency=low

  * Fixes to run under Ubuntu 10.10
  * Fixed bug due to changed handling of autoinc in MySQL
  * Updated tests
  * Fixed bug in make clean in the doc directory

 -- Anders Ardo <anders@nike>  Fri, 27 May 2011 09:52:29 +0200

combine (4.004) karmic; urgency=low

  * Fixed bug in RobotRules.pm - nows accepts and handles gzipped content
  * Changes to fix things under Ubuntu 9.10
  * Fixed bugs with character set encoding in Solr.pm
  * Fixed bug in decoding text retrieved from MySQL in XWI2XML.pm

 -- Anders Ardo <anders@eit.lth.se>  Sun, 15 Mar 2010 13:02:32 +0100

combine (4.003) karmic; urgency=low

  * Added extra space when concatenating extracted text in HTMLExtractor.pm
  * Bugfix certain special characters in regexp when optimizing meta/title
    in generated XML
  * Added extra field, score, in table urldb to support new URL
    scheduling algoritms
  * Added support for new URL scheduling algorithms

 -- Anders Ardo <anders@nike>  Mon, 15 Jun 2009 10:22:38 +0200

combine (4.002) intrepid; urgency=low

  * Fixed tests 05MySQL och 90Installationtest
  * Added support for exceptions to GeoIP, config-file server2country
  * Now handles special characters when using files for external parsers
  * Disabled warnings for unknown config variables

 -- Anders Ardo <anders@dbkit10.eit.lth.se>  Mon, 30 Mar 2009 09:09:35 +0200

combine (4.001) intrepid; urgency=low

  * New version numbering compatible with CPAN
  * Integration with Solr enterprise search server (http://lucene.apache.org/solr/)
    similar to Zebra: new module Solr.pm, configuration variable SolrHost,
    switch SolrIndexing in combineExport

 -- Anders Ardo <anders@eit.lth.se>  Mon, 8 Dec 2008 14:55:21 +0100

combine (3.12) intrepid; urgency=low

  * Added code for simple Lucene integration to templates directory.
    Contributed by Xianghang Liu
  * Changed documentation HTML-generator to ht4tex

 -- Anders Ardo <anders@eit.lth.se>  Sun, 16 Nov 2008 18:19:21 +0100

combine (3.11) intrepid; urgency=low

  * Added switches 'collapseinlinks' and 'nooutlinks' to combineExport
  * Moved tmp-files to /tmp/$$
  * decoded output from extconverter to Perl internal utf8
  * Added -nodrm to pdf2html switches
  * Fixed bug in processing of pure text documents
  * Added switch ZebraIndexing to combineExport. Enables updating of the
    configured Zebra server with exported records
  * Improved indexing of PDF documents
  * Handled case when $md5 empty in DeleteKey
  * Fixed bug in Zebra recordId handling

 -- Anders Ardo <anders@eit.lth.se>  Sun, 09 Nov 2008 17:18:10 +0100

combine (3.10) sarge; urgency=low

  * Added a fulltext-index in MySQL table search plus configuration var
    to enable/disable
  * Added Zebra deleteRecord

 -- Anders Ardo <anders@eit.lth.se>  Sun, 12 Oct 2008 20:56:51 +0200

combine (3.9) sarge; urgency=low

  * Changed default for useTidy to 0 (Not using Tidy)
  * Added dependency on libclass-factory-util-perl
  * Changed test Web-server to combine.it.lth.se
  * Added Combine/utilPlugIn.pm Combine/classifySVM.pm - support for SVM
    classifiers (depends SVMLight) plus documentation
  * Changed *Check_record.pm to use XWI text extraction from
    utilPlugIn.pm
  * Added country determination (plus dependency on GeoIp)
  * Updated extensions of binary files
  * Added analysePlugin and relTextPlugin to default config
  * Cleaned FromHTML.pm code
  * Added call to external relTextPlugin
  * Added call to Plugin for extra analysis in utilPlugin.pm
  * Improved title extraction in XWI2XML
  * Fixed in rules: shell IO redirection
  * Added table 'localtags' - for storing local name/value pairs to be
    added by analysePlugin

 -- Anders Ardo <anders@eit.lth.se>  Fri, 26 Sep 2008 15:22:43 +0200

combine (3.8) sarge; urgency=low

  * Perl ABSTRACT now taken from bin/combine
  * Disable old behaviour to save html as text if extracted text is very
    short
  * PosCheckRecord now only uses meta fields that maps to dc.subject and
    dc.description to match against topic definition
  * PosCheckRecord now use also the URLpath for topic checking
  * Added new script: combineReClassify, that reclassifies all records
  * Enabled gzip HTTP content compression
  * Moved <META-tag parsing/extraction to FromHTML
  * Disabled some of the more uncertain binary file detcetions in
    FromHTML due to charset problems
  * Charset detection and decoding now done in LWP

 -- Anders Ardo <anders@eit.lth.se>  Wed, 23 Apr 2008 11:14:31 +0200

combine (3.7) sarge; urgency=low

  * Fixed bug with required but non-existant modifiedDate
  * Added fix from Sean Dreilinger to import SaveConfigString in
    Combine::Config
  * Fixed tests: make sure modfiedtime is set, and take into account new
    MD5 calculation
  * Now requires v 1.06 od HTML::Tidy; newer versions handle UTF8
    differently
  * Applied patch from Sean Dreilinger: make Combine work with newer
    Config::General (SaveConfigString)
  * Added doc/Installationtest.pl as new test t/90Installationtest.t

 -- Anders Ardo <anders@eit.lth.se>  Thu, 27 Sep 2007 08:52:10 +0200

combine (3.6) sarge; urgency=low

  * Bugfixes in DataBase.pm MD5-sum calculation

 -- Anders Ardo <anders@it.lth.se>  Mon, 26 Mar 2007 10:36:04 +0200

combine (3.5) sarge; urgency=low

  * Added bin/combineRank - utility for calculating ranking
     values like PageRank
  * Changed package numbering convention
  * Documentation updates

 -- Anders Ardo <anders@it.lth.se>  Wed, 13 Dec 2006 16:09:43 +0100

combine (3.4-5) sarge; urgency=low

  * Disabled parsing of really short files
  * Changed syntax of output redirection: ' >& /dev/null' to
     '> /dev/null 2> /dev/null'
  * Added test in 50FromHTML.t to avoid using HTML::Tidy when not
    available
  * Fixed bug with improper SQL esacping in MySQLhdb.pm
  * Fixed bug with expire time giving error-messages '... too small'
  * Added more tests
  * Changed combineINIT to disable Tidy in configuration when HTML::Tidy

